import request from '@/utils/request'

// 查询语音标签管理列表
export function listTags(query) {
  return request({
    url: '/system/tags/list',
    method: 'get',
    params: query
  })
}

// 查询语音标签管理详细
export function getTags(tagId) {
  return request({
    url: '/system/tags/' + tagId,
    method: 'get'
  })
}

// 新增语音标签管理
export function addTags(data) {
  return request({
    url: '/system/tags',
    method: 'post',
    data: data
  })
}

// 修改语音标签管理
export function updateTags(data) {
  return request({
    url: '/system/tags',
    method: 'put',
    data: data
  })
}

// 删除语音标签管理
export function delTags(tagId) {
  return request({
    url: '/system/tags/' + tagId,
    method: 'delete'
  })
}
